
lib_LTLIBRARIES=  libHilbertxx.la libHxx_nMatrix.la  libHxx_Sparsa.la libHxx_SparsaC.la 

EXTRA_PROGRAMS = testTrees  testBasis testEigen Abay provaFe provaFe_compose spectrum spectrumFluo Abay_compose provaGd  provaDy   provaDy_v provaDy_v2  provaDy_v3 provaDy_vspin provaGd_compose provaMnS  provaMnGlatzel   provaCoK   provaMnS_compose provaOhD4h provaOhD4h_compose diago rotazione provaFeV provaFetest hf hfmkl provaMnHybProp provaHub  provaCluster provaClusterCondor  testaH

testTrees_SOURCES = testTrees.cc

hf_SOURCES = hf.cc

hfmkl_SOURCES = hf.cc

testBasis_SOURCES = testBasis.cc

testEigen_SOURCES = testEigen.cc

provaGd_SOURCES = provaGd.cc

provaGd_compose_SOURCES = provaGd_compose.cc


provaDy_SOURCES = provaDy.cc

provaDy_v2_SOURCES = provaDy_v2.cc

provaDy_v3_SOURCES = provaDy_v3.cc

provaMnHybProp_SOURCES = provaMnHybProp.cc

provaDy_vspin_SOURCES = provaDy_vspin.cc


provaDy_v_SOURCES = provaDy_v.cc

rotazione_SOURCES = rotazione.cc


provaMnS_SOURCES = provaMnS.cc


provaHub_SOURCES = provaHub.cc


provaCluster_SOURCES = provaCluster.cc


provaClusterCondor_SOURCES = provaClusterCondor.cc


testaH_SOURCES = testaH.cc


provaMnGlatzel_SOURCES = provaMnGlatzel.cc



provaCoK_SOURCES = provaCoK.cc

provaMnS_compose_SOURCES = provaMnS_compose.cc


provaOhD4h_SOURCES = provaOhD4h.cc

provaOhD4h_compose_SOURCES = provaOhD4h_compose.cc

Abay_SOURCES = Abay.cc

Abay_compose_SOURCES = Abay_compose.cc

provaFe_SOURCES = provaFe.cc


provaFeV_SOURCES = provaFeV.cc



provaFetest_SOURCES = provaFetest.cc


provaFe_compose_SOURCES = provaFe_compose.cc

spectrum_SOURCES =spectrum.cc


diago_SOURCES =diago.cc

spectrumFluo_SOURCES = spectrumFluo.cc



EXTRA_DIST=./admin/

libHilbertxx_la_SOURCES = Hilbertxx.cc Atomic_Operators.cc Impurity_operators.cc 

libHxx_nMatrix_la_SOURCES = nLapack.cc nVector.cc nMath.cc  nMatrix.cc

libHxx_Sparsa_la_SOURCES = Sparsa.cc

libHxx_SparsaC_la_SOURCES = SparsaC.cc

pkginclude_HEADERS = Hilbertxx.hh  nLapack.h nVector.h nMath.h nMatrix.h nIndex.h compatibilita.h lapack.h Sparsa.h SparsaC.h Atomic_Operators.hh Impurity_operators.hh

AM_CPPFLAGS=@CPPFLAGS@	-I./ -I../ 

testTrees_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la

testBasis_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la

rotazione_LDFLAGS = @LDFLAGS@ ./libHxx_nMatrix.la  -lgcc -llapack -lblas -lm


testEigen_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  -lgsl  -lgslcblas  -L/scisoft/users/mirone/src/hilbertxx//mkl70/lib/32  ./libHxx_Sparsa.la ./libHxx_nMatrix.la   -lmkl_lapack -lmkl_ia32  -lguide -lf2c   -lm


hf_LDFLAGS=@LDFLAGS@   -lgsl  -lgslcblas    ./libHxx_nMatrix.la -llapack -lblas -lm

hfmkl_LDFLAGS=@LDFLAGS@   -lgsl  -lgslcblas    ./libHxx_nMatrix.la  /scisoft/users/mirone/src/hilbertxx//mkl/lib/32/libmkl_lapack.a  /scisoft/users/mirone/src/hilbertxx//mkl/lib/32/libmkl_def.a -lf2c -lpthread -lm

hf_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  

hfmkl_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  

testEigen_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  



provaGd_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm


provaDy_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm


provaDy_v_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm

provaDy_v2_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm

provaDy_v3_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm




provaDy_vspin_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm

provaMnHybProp_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la    ./libHxx_Sparsa.la  -lgsl  -lgslcblas  -L/scisoft/users/mirone/src/hilbertxx/mkl70/lib/32   ./libHxx_Sparsa.la ./libHxx_nMatrix.la  -lgcc -lmkl_lapack -lmkl_ia32  -lguide -lf2c   -lm 



provaGd_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO


provaDy_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO



provaDy_v_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO

provaDy_v2_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO

provaDy_v3_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO


provaDy_vspin_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO


provaGd_compose_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm



provaMnS_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm


provaHub_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas -L/opt/intel/mkl70/lib/32 -lmkl_lapack -lmkl_ia32 -lguide  -lgcc  -lm


# provaCluster_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas -L/scisoft/users/mirone/src/hilbertxx/mkl70/lib/32 -lmkl_lapack -lmkl_ia32 -lguide -lpmpich++ -lmpich  -lgcc  -lm

# provaCluster_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -llapack  -lf77blas -latlas -lg2c -lpmpich++ -lmpich  -lgcc  -lm

provaCluster_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -llapackg77  -lblasg77  -lg2c -lpmpich++ -lmpich  -lgcc  -lm


provaClusterCondor_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -llapackg77  -lblasg77  -lg2c -lpmpich++ -lmpich  -lgcc  -lm



testaH_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas -L/opt/intel/mkl70/lib/32 -lmkl_lapack -lmkl_ia32 -lguide  -lpmpich++ -lmpich -lgcc  -lm




provaMnGlatzel_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas -L/opt/intel/mkl70/lib/32 -lmkl_lapack -lmkl_ia32 -lguide  -lgcc  -lm

provaMnS_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO


provaHub_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  


provaCluster_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  

provaClusterCondor_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  

testaH_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  



provaMnGlatzel_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO


provaCoK_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm

provaCoK_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO


provaMnS_compose_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm

provaMnS_compose_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO


provaOhD4h_compose_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm

provaOhD4h_compose_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates 




provaOhD4h_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm

provaOhD4h_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates 



Abay_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -lgcc -llapack -lblas -lm

Abay_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO


Abay_compose_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas  -llapack -lblas -lm

Abay_compose_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -DPIPPO



provaFe_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl -lgslcblas  -llapack -lblas -lm



provaFeV_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la  -lgslcblas  -llapack -lblas -lm


provaFetest_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -L/scisoft/ESRF_sw/linux_i386/lib -lgsl -lgslcblas  -llapack -lblas -lm

provaFe_CXXFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  


provaFe_compose_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -L/scisoft/ESRF_sw/linux_i386/lib -lgsl -lgslcblas  -llapack -lblas -lm

spectrum_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -L/scisoft/ESRF_sw/linux_i386/lib -lgsl -lgslcblas  -llapack -lblas -lm


diago_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -lgsl  -lgslcblas   -L/scisoft/ESRF_sw/linux_i386/lib  -llapack -lblas -lm

spectrumFluo_LDFLAGS=@LDFLAGS@ ./libHilbertxx.la  ./libHxx_Sparsa.la ./libHxx_nMatrix.la -L/scisoft/ESRF_sw/linux_i386/lib -lgsl -lgslcblas  -llapack -lblas -lm



provaFe_compose_CXXFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  





libHxx_nMatrix_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates  -Dexplicit_instantiations 

libHxx_Sparsa_CPPFLAGS=@CPPFLAGS@	-I../ -Wall -fno-implicit-templates 



CC=$(CXX)

















